summaryrefslogtreecommitdiffstats
path: root/ci
diff options
context:
space:
mode:
authorNarinder Gupta <narinder.gupta@canonical.com>2017-05-13 00:41:57 -0500
committerNarinder Gupta <narinder.gupta@canonical.com>2017-05-13 09:03:57 -0500
commited4e8b6ac4636af8dae71809dff71b8259ed936f (patch)
tree08b986b8b4c3f957217aa4aec3ea93a6dc4b2463 /ci
parentdcbe183ece9d9c7da7938616295344d7f44707f6 (diff)
typo corrected.
Change-Id: I1189a542d3975edc6ae3b6681f7dad31524dd4ca Signed-off-by: Narinder Gupta <narinder.gupta@canonical.com>
Diffstat (limited to 'ci')
-rwxr-xr-xci/03-maasdeploy.sh13
-rwxr-xr-xci/deploy.sh22
2 files changed, 18 insertions, 17 deletions
diff --git a/ci/03-maasdeploy.sh b/ci/03-maasdeploy.sh
index c66bf16b..7aa5ef41 100755
--- a/ci/03-maasdeploy.sh
+++ b/ci/03-maasdeploy.sh
@@ -88,7 +88,6 @@ KEYRING_FILE=/usr/share/keyrings/ubuntu-cloudimage-keyring.gpg
SOURCE_ID=1
FABRIC_ID=1
PRIMARY_RACK_CONTROLLER="$MAAS_IP"
-SUBNET_CIDR=`cat labconfig.json | jq '.opnfv.spaces[] | select(.type=="admin")'.cidr | cut -d \" -f 2 `
VLAN_UNTTAGED="untagged"
# In the case of a virtual deployment get deployconfig.yaml
@@ -328,7 +327,7 @@ addnodes(){
# make sure there is no machine entry in maas
for m in $(maas $PROFILE machines read | jq -r '.[].system_id')
do
- maas ubuntu machine delete $m
+ maas $PROFILE machine delete $m
done
# if we have a virshurl configuration we use it, else we use local
@@ -342,7 +341,7 @@ addnodes(){
if [ "$virtinstall" -eq 1 ]; then
netw=" --network bridge=virbr0,model=virtio"
- elif [ $VIRSHHOST != "" ]; then
+ elif ([ $VIRSHHOST != "" ]); then
# Get the bridge hosting the remote virsh
brid=$(ssh $VIRSHHOST "ip a l | grep $VIRSHHOST | perl -pe 's/.* (.*)\$/\$1/g'")
netw=" --network bridge=$brid,model=virtio"
@@ -556,15 +555,17 @@ if [ -e ./labconfig.json ]; then
# rename interface if needed
IF_MACLOWER=$( cat labconfig.json | jq ".lab.racks[0].nodes[$NODE_ID].nics[] | select(.ifname==\"$IF_NEWNAME\")".mac[0])
IF_MAC=(${IF_MACLOWER,,})
- IF_ID=$( maas ubuntu interfaces read $NODE_SYS_ID | jq ".[] | select(.mac_address==$IF_MAC)".id)
- maas $PROFILE interface update $NODE_SYS_ID $IF_ID name=$IF_NEWNAME
+ IF_ID=$( maas $PROFILE interfaces read $NODE_SYS_ID | jq ".[] | select(.mac_address==$IF_MAC)".id)
+ if ([ $IF_ID ] && [ "$IF_ID" != "null" ]); then
+ maas $PROFILE interface update $NODE_SYS_ID $IF_ID name=$IF_NEWNAME
+ fi
fi
# Configure the interface
if ([ $SUBNET_CIDR ] && [ "$SUBNET_CIDR" != "null" ]); then
VLANID=$(maas $PROFILE subnet read $SUBNET_CIDR | jq -r '.vlan.id')
if !([ $IF_VLAN ] && [ "$IF_VLAN" != "null" ]); then
# If this interface is not a VLAN (done withe create-vlan)
- maas $PROFILE interface update $NODE_SYS_ID $IF_NAME vlan=$VLANID
+ maas $PROFILE interface update $NODE_SYS_ID $IF_NAME vlan=$VLANID || true
fi
maas $PROFILE interface link-subnet $NODE_SYS_ID $IF_NAME mode=$IF_MODE subnet=$SUBNET_CIDR || true
sleep 2
diff --git a/ci/deploy.sh b/ci/deploy.sh
index b0df68b6..932a9f9a 100755
--- a/ci/deploy.sh
+++ b/ci/deploy.sh
@@ -220,25 +220,27 @@ cnt_list=$(for cnt in $srv_list; do juju status $cnt --format=json | jq -r ".mac
# get public network gateway (supposing it is the first ip of the network)
public_api_gw=$(cat labconfig.json | jq --raw-output ".opnfv.spaces[] | select(.type==\"public\")".gateway)
admin_gw=$(cat labconfig.json | jq --raw-output ".opnfv.spaces[] | select(.type==\"admin\")".gateway)
-# set default gateway to public api gateway
-for cnt in $cnt_list; do
- echo "changing default gw on $cnt"
- juju ssh $cnt "sudo ip r d default && sudo ip r a default via $public_api_gw";
- juju ssh $cnt "gw_dev=\$(ip r l | grep 'via $public_api_gw' | cut -d \ -f5) &&\
+
+if ([ $admin_gw ] && [ $admin_gw != "null" ])
+ # set default gateway to public api gateway
+ for cnt in $cnt_list; do
+ echo "changing default gw on $cnt"
+ juju ssh $cnt "sudo ip r d default && sudo ip r a default via $public_api_gw";
+ juju ssh $cnt "gw_dev=\$(ip r l | grep 'via $public_api_gw' | cut -d \ -f5) &&\
sudo cp /etc/network/interfaces /etc/network/interfaces.bak &&\
echo 'removing old default gateway' &&\
sudo perl -i -pe 's/^\ *gateway $admin_gw\n$//' /etc/network/interfaces &&\
sudo perl -i -pe \"s/iface \$gw_dev inet static/iface \$gw_dev inet static\\n gateway $public_api_gw/\" /etc/network/interfaces \
";
-done
+ done
+fi
echo "...... configure ......."
-if [[ "$opnfvmodel" = "openstack" ]]; then
+if ([ $opnfvmodel == "openstack" ]); then
./openstack.sh "$opnfvsdn" "$opnfvlab" "$opnfvdistro" "$openstack" || true
# creating heat domain after puching the public API into /etc/hosts
-
if [[ "$jujuver" > "2" ]]; then
status=`juju run-action heat/0 domain-setup`
echo $status
@@ -247,12 +249,10 @@ if [[ "$opnfvmodel" = "openstack" ]]; then
echo $status
fi
-
sudo ../juju/get-cloud-images || true
../juju/joid-configure-openstack || true
-fi
-if [[ "$opnfvmodel" = "kubernetes" ]]; then
+elif ([ $opnfvmodel == "kubernetes" ]); then
./k8.sh
fi